button {
    width: 100px;
    height: 100px;
    border: none ;
    border-radius: 50px;
    background-color: hsl(0, 0%, 25%);
    color: white;
    font-size: 3rem;
    font-weight: bold;
    cursor: pointer;
}
button:hover{
    background-color: hsl(0, 0%, 40%);
}
button:active{
    background-color: hsl(0, 0%, 10%);
}



#keys{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    padding: 25px;
}
#calculator{
    font-family: Arial, Helvetica, sans-serif;
    background-color: hsl(0, 0%, 15%);
    max-width: 500px;
    overflow: hidden;
}
#display{
    background-color: hsl(0, 0%, 20%);
    color: white;
    font-size: 5rem;
    padding: 20px;
    width: 100%;
overflow-x: auto;
white-space: nowrap;

    text-align: left; 
     /* overflow-x: auto;
    white-space: nowrap; */
     /* overflow: hidden;
    text-overflow: ellipsis; */
}
body{
margin: 0;
display: flex;
justify-content: center;
align-items: center;
height: 100vh;
background-color: hsl(0, 0%, 59%);
}
.operator-btn {
    background-color: hsl(35, 100%, 55%);
}
.operator-btn:hover {
    background-color: hsl(35, 100%, 65%);
}
.operator-btn:active {
    background-color: hsl(35, 100%, 75%);
}
#w {
    grid-column: span 4;
    border-radius: 20px;
    padding: 4%;
}
#q {
    
    border-radius: 20px;
    padding: 4%;
}